#ifndef IGNORELIST_HPP_INCLUDED
#define IGNORELIST_HPP_INCLUDED

#include "NameableContainer.hpp"
#include "../JavaClass/Class.hpp"

namespace Internal
{
    class IgnoreList : public NameableContainer
    {
        public:
            IgnoreList(const void* Obj);

            IgnoreList() = default;
            IgnoreList(IgnoreList&& Obj) = default;
            IgnoreList(const IgnoreList& Obj) = default;
            IgnoreList& operator=(IgnoreList&& Obj) = default;
            IgnoreList& operator=(const IgnoreList& Obj) = default;

            static Class GetClass();

    };
}

#endif // IGNORELIST_HPP_INCLUDED
